/**************************************************************************
        Ghosts Overboard - a game for Maemo 5

        Copyright (C) 2011  Heli Hyvättinen

        This file is part of Ghosts Overboard

        Ghosts Overboard is free software: you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation, either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program.  If not, see <http://www.gnu.org/licenses/>.

**************************************************************************/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include <QGraphicsView>
#include "orientationcontrolledgraphicspixmapobject.h"
#include "seascene.h"
#include "level.h"

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    bool event(QEvent *event);

public slots:
    void initializeBoundaries();
    void restartLevel();
    void about();
    void nextLevel();
    void restartGame();



private:

SeaScene * pScene_;
QGraphicsView * pView_;
QAction* pPauseAction_;
QList<Level> levelList_;
int currentLevel_;
QAction* pVibrateAction_;


};

#endif // MAINWINDOW_H
